# -*- coding: utf-8 -*-
from dspawpy.analysis.aimdtools import get_rs_rdfs, plot_rdf

# 如果AIMD非一次性完成，可以将多个h5文件路径以列表形式赋值给datafile参数
rs, rdfs = get_rs_rdfs(
    datafile="dspawpy_proj/dspawpy_tests/inputs/2.18/aimd.h5",  # 数据文件路径
    ele1="H",  # 中心元素
    ele2="O",  # 对象元素
    rmin=0.0,  # 最小半径
    rmax=10.0,  # 最大半径
    ngrid=1000,  # 网格数
    sigma=0.1,  # sigma值
)
plot_rdf(
    rs,  # 横坐标
    rdfs,  # 纵坐标
    "H",  # 中心元素
    "O",  # 对象元素
    figname="dspawpy_proj/dspawpy_tests/outputs/us/10RDF.png",  # 图像保存路径
    show=False,  # 是否弹出图像窗口
    ax=None,  # 可指定子图
)
